#include "Pixel.h"
#include <cassert>
#include <iostream>

Pixel::Pixel()
{
    r = char(0);
    g = char(0);
    b = char(0);
}

Pixel::Pixel(unsigned int x,unsigned int y, unsigned int z)
{
    assert(x>=0 && x<=255);
    assert(y>=0 && y<=255);
    assert(z>=0 && z<=255);
    r = char(x);
    g = char(y);
    b = char(z);
}

Pixel Pixel::operator=(Pixel p)
{
    r = p.r;
    g = p.g;
    b = p.b;

    return *this; 
}


